Package org.apache.sysds.common

# Enum Class Types.CorrectionLocationType

java.lang.Object
java.lang.Enum<Types.CorrectionLocationType>
org.apache.sysds.common.Types.CorrectionLocationType

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.CorrectionLocationType>`, `Constable`

Enclosing interface:
  Types

public static enum Types.CorrectionLocationType extends Enum<Types.CorrectionLocationType>
Correction location when performing operations leveraging correcting rounding

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INVALID`
`LASTCOLUMN`
`LASTFOURCOLUMNS`
`LASTFOURROWS`
`LASTROW`
`LASTTWOCOLUMNS`
`LASTTWOROWS`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumRemovedRowsColumns()`
`boolean`
`isRows()`
`static Types.CorrectionLocationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.CorrectionLocationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Types.CorrectionLocationType NONE

### LASTROW

public static final Types.CorrectionLocationType LASTROW

### LASTCOLUMN

public static final Types.CorrectionLocationType LASTCOLUMN

### LASTTWOROWS

public static final Types.CorrectionLocationType LASTTWOROWS

### LASTTWOCOLUMNS

public static final Types.CorrectionLocationType LASTTWOCOLUMNS

### LASTFOURROWS

public static final Types.CorrectionLocationType LASTFOURROWS

### LASTFOURCOLUMNS

public static final Types.CorrectionLocationType LASTFOURCOLUMNS

### INVALID

public static final Types.CorrectionLocationType INVALID

## Method Details

### values

public static Types.CorrectionLocationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.CorrectionLocationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumRemovedRowsColumns

public int getNumRemovedRowsColumns()

### isRows

public boolean isRows()